org.apache.lucene.document

## Enum LatLonShape.QueryRelation

- java.lang.Object
- - java.lang.Enum<LatLonShape.QueryRelation>
  - - org.apache.lucene.document.LatLonShape.QueryRelation

- All Implemented Interfaces:
    Serializable, Comparable<LatLonShape.QueryRelation>
  Enclosing class:
    LatLonShape

      public static enum LatLonShape.QueryRelation
      extends Enum<LatLonShape.QueryRelation>

  Query Relation Types

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DISJOINT`
    `INTERSECTS`
    `WITHIN`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LatLonShape.QueryRelation` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LatLonShape.QueryRelation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INTERSECTS

          public static final LatLonShape.QueryRelation INTERSECTS

    - #### WITHIN

          public static final LatLonShape.QueryRelation WITHIN

    - #### DISJOINT

          public static final LatLonShape.QueryRelation DISJOINT

  - ### Method Detail

    - #### values

          public static LatLonShape.QueryRelation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LatLonShape.QueryRelation c : LatLonShape.QueryRelation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LatLonShape.QueryRelation valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.